Fails to read some .png files

Bug #364163 reported by Maia Everett on 2009-04-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fop (Debian)
Fix Released
Unknown
fop (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: fop

Upstream bug report: https://issues.apache.org/bugzilla/show_bug.cgi?id=45795

Test case:
http://www.murrayc.com/temp/docbook_fop_test.tar.gz

[murrayc@localhost docbook_fop_test]$ ls
flumotion.xml test.png
[murrayc@localhost docbook_fop_test]$
[murrayc@localhost docbook_fop_test]$ xsltproc -o flumotion.fo -xinclude
--catalogs http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl
flumotion.xml
Variable $SGML_CATALOG_FILES not set
Making portrait pages on USletter paper (8.5inx11in)

[murrayc@localhost docbook_fop_test]$
[murrayc@localhost docbook_fop_test]$ fop -fo flumotion.fo -pdf flumotion.pdf

Sep 10, 2008 12:33:49 PM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'Symbol,normal,700' not found. Substituting with
'Symbol,normal,400'.
Sep 10, 2008 12:33:49 PM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'ZapfDingbats,normal,700' not found. Substituting with
'ZapfDingbats,normal,400'.
Sep 10, 2008 12:33:50 PM org.apache.fop.hyphenation.Hyphenator
getHyphenationTree
SEVERE: Couldn't find hyphenation pattern en
Sep 10, 2008 12:33:52 PM org.apache.fop.area.RenderPagesModel addPage
SEVERE: Error while rendering page 3
java.lang.UnsupportedOperationException: Unsupported DataBuffer type:
java.awt.image.DataBufferUShort

Related branches

Maia Everett (linneris) on 2009-04-20
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fop - 1:0.95.dfsg-2ubuntu1

---------------
fop (1:0.95.dfsg-2ubuntu1) jaunty; urgency=low

  * Added 01_from_svn_16_bit_alpha_png.patch:
    - Upstream fix from SVN 696365: Bug 45795 - Fails to read some .png files.
      (LP: #364163)
  * debian/control:
    - Changed maintainer field.

 -- Maia Kozheva <email address hidden> Mon, 20 Apr 2009 21:33:16 +0700

Changed in fop (Ubuntu):
status: New → Fix Released
Maia Everett (linneris) on 2009-04-20
Changed in fop (Debian):
importance: Undecided → Unknown
status: New → Unknown
Changed in fop (Debian):
status: Unknown → New
Changed in fop (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.